/* Copyright (c) 1988 by Carrick Sean Casey. All rights reserved. */

/* shutdown a connection and take it out of the input loop */

#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include "externs.h"
#include "functions.h"
#ifdef linux
#include "select.h"
#endif

void
disconnectuser(user)
	int     user;
{
	int     i;

	shutdown(user, 2);
	close(user);
	FD_CLR(user, &fdset);
	if (user == highestfd) {
		for (i = FD_SETSIZE - 1; i > 0 && !FD_ISSET(i, &fdset); i--);
		highestfd = i;
	}
	/* let main program know user went bye bye */
	s_lost_user(user);
}
