#include <stdio.h>
#include <ndbm.h>
#include <fcntl.h>
#include <stdlib.h>
#include <sys/stat.h>

#define REALNAME "Server Admin"
#define HOME "server@icb.com"
#define EMAIL "nobody@icb.com"
#define TEXT "Here to server you!"

int
main()
{
	DBM    *db;
	char    text[255];
	char    key[64];
	datum   data1, data2;

	db = dbm_open("./icbdb", O_RDWR | O_CREAT, S_IRUSR | S_IWUSR);
	strcpy(key, "server.realname");
	strcpy(text, REALNAME);
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	strcpy(key, "server.nick");
	strcpy(text, "Server");
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	strcpy(key, "server.home");
	strcpy(text, HOME);
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	strcpy(key, "server.email");
	strcpy(text, EMAIL);
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	strcpy(key, "server.text");
	strcpy(text, TEXT);
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	strcpy(key, "server.nummsg");
	strcpy(text, "999");
	data1.dptr = text;
	data1.dsize = strlen(text);
	data2.dptr = key;
	data2.dsize = strlen(key);
	dbm_store(db, data2, data1, DBM_INSERT);
	dbm_close(db);

	return 0;
}
