#!/usr/bin/perl

#
# blame panic@ramona.cyborganic.com
#

$user = $ARGV[0];
$database = "./icbdb";

sub print_info {
    print "        Nickname: ", $icbdb{"${user}.nick"}, "\n";
    print "       [A]ddress: ", $icbdb{"${user}.home"}, "\n";
    print "     [R]eal Name: ", $icbdb{"${user}.realname"}, "\n";
    print "  Phone [N]umber: ", $icbdb{"${user}.phone"}, "\n";
    print "   Last Sign[o]n: ", $icbdb{"${user}.signon"}, "\n";
    print "  Last Signof[f]: ", $icbdb{"${user}.signoff"}, "\n";
    print "[S]treet Address: ", $icbdb{"${user}.addr"}, "\n";
    print "          [T]ext: ", $icbdb{"${user}.text"}, "\n";
    print "      [P]assword: ", $icbdb{"${user}.password"}, "\n";
    print "choices: a,r,n,o,f,s,t,p, l to redisplay, q to quit.\n";
}

sub parse_choice {
    print "edit? ";
    $choice = <STDIN>;
    chop($choice);
    if ( $choice eq 'a' ) {
	print "\nenter new address: ";
	$newaddr = <STDIN>;
	chop($newaddr);
	$icbdb{"${user}.home"} = $newaddr;
	print "address changed to: ", $icbdb{"${user}.home"}, "\n";
    } elsif ( $choice eq 'r' ) {
	print "\nenter new name: ";
	$newname = <STDIN>;
	chop($newname);
	$icbdb{"${user}.realname"} = $newname;
	print "real name changed to: ", $icbdb{"${user}.realname"}, "\n";
    } elsif ( $choice eq 'n' ) {
	print "\nenter new phone number: ";
	$newphone = <STDIN>;
	chop($newphone);
	$icbdb{"${user}.phone"} = $newphone;
	print "phone number changed to: ", $icbdb{"${user}.phone"}, "\n";
    } elsif ( $choice eq 'o' ) {
	print "\nenter new signon time: ";
	$newsignon = <STDIN>;
	chop($newsignon);
	$icbdb{"${user}.signon"} = $newsignon;
	print "signon changed to: ", $icbdb{"${user}.signon"}, "\n";
    } elsif ( $choice eq 'f' ) {
	print "\nenter new signoff: ";
	$newsignoff = <STDIN>;
	chop($newsignoff);
	$icbdb{"${user}.signoff"} = $newsignoff;
	print "signoff changed to: ", $icbdb{"${user}.signoff"}, "\n";
    } elsif ( $choice eq 's' ) {
	print "\nenter new street address: ";
	$newaddr = <STDIN>;
	chop($newaddr);
	$icbdb{"${user}.addr"} = $newaddr;
	print "street address changed to: ", $icbdb{"${user}.addr"}, "\n";
    } elsif ( $choice eq 't' ) {
	print "\nenter new text: ";
	$newtext = <STDIN>;
	chop($newtext);
	$icbdb{"${user}.text"} = $newtext;
	print "text changed to: ", $icbdb{"${user}.text"}, "\n";
    } elsif ( $choice eq 'p' ) {
	print "\nenter new password: ";
	$newpassword = <STDIN>;
	chop($newpassword);
	$icbdb{"${user}.password"} = $newpassword;
	print "password changed to: ", $icbdb{"${user}.password"}, "\n";
    } elsif ( $choice eq 'l' ) {
	&print_info;
    } elsif ( $choice eq 'q' ) {
	dbmclose(%icbdb);
	exit 0;
    } else {
	print "invalid option, valid options are: a,r,n,o,f,s,t,p,q and l.\n";
    }
}

dbmopen(%icbdb, $database, 0600) || die "can't open it";
&print_info;
while (1) {
    &parse_choice;
}
dbmclose(%icbdb);
exit;

